//
// Created by 1Max11 on 26.12.2015.
//

#ifndef GLUCOSE_PARALLEL_CONFIG_H
#define GLUCOSE_PARALLEL_CONFIG_H


#include "Bounds.h"

#include <iostream>       // std::cout
#include <string>         // std::string
#include <locale>         // std::locale, std::isdigit
#include <sstream>

using namespace std;

/*
 * Trida pro konfiguraci aplikace
 */
class Config {
public:
    /*
     * Meze parametru pro vypocet
     *
     * DEFAULT: min hranice = min hodnota double
     *          max hranice = max hodnota Double
     */
    static Bounds bounds;
    /*
     * Pocet iteraci
     *
     * DEFAULT: 1000
     */
    static int iterations;
    /*
     *  Ukoncovaci hodnota
     *
     *  DEFAULT: 1
     */
    static double epsilon;
    /*
     * Koeficient min. poctu dat pro vypocet metriky
     *
     * DAFAULT: 0.5
     */
    static double minDataCoefficient;
    /*
     * Nastavi hodnoty programu
     */
    static void setProgram(int argc, char **argv);
};


#endif //GLUCOSE_PARALLEL_CONFIG_H
