
#ifndef GLUCOSE_SERIAL_MEASUREDVALUE_H
#define GLUCOSE_SERIAL_MEASUREDVALUE_H


/*
 * Trida pro ulozeni namerenych hodnot
 */
class MeasuredValue {
public:
    /*
     * Vrati cas mereni kde den == 1.0
     *
     * @return cas mereni
     */
    double getMeasuredat();
    /*
     * Nastavi cas mereni
     *
     * @param measuredat cas mereni
     */
    void setMeasuredat(double measuredat);
    /*
     * Vrati hodnotu krve
     *
     * @return hodnota krve
     */
    double getBlood();
    /*
    * Nastavi hodnotu krve
    *
    * @param blood hodnota krve
    */
    void setBlood(double blood);
    /*
     * Vrati hodnotu ist
     *
     * @return hodnota ist
     */
    double getIst();
    /*
    * Nastavi hodnotu ist
    *
    * @param ist hodnota ist
    */
    void setIst(double ist);

private:
    double _measuredat;
    double _blood;       //b(t)
    double _ist;         //i(t)
};


#endif //GLUCOSE_SERIAL_MEASUREDVALUE_H
