
#ifndef GLUCOSE_PARALLEL_PPOCESSSTATISTIC_H
#define GLUCOSE_PARALLEL_PPOCESSSTATISTIC_H

/*
 * Trida obsahuje statistiky o procesu
 */
class ProcessStatistic {
public:
    /*
     * Vrati id procesu
     *
     * @return id procesu
     */
    int getProcessId();
    /*
     * Nastavi id procesu
     *
     * @param processId id procesu
     */
    void setProcessId(int processId);
/*
     * Vrati dobu behu procesu
     */
    int getRunTime();
    /*
     * Nastavi cas doby behu procesu
     */
    void setRunTime(int runTime);

    /*
     * Vrati pocet zpracovanych segmentu
     *
     * @return pocet zpracovancyh segmentu
     */
    int getNumberOfProcessedSegments();
    /*
     * Nastavi pocet zpracovanych segmentu
     *
     * @param numberOfProcessedSegments pocet zpracovancy segmentu
     */
    void setNumberOfProcessedSegments(int count);
private:
    int _processId;
    int _runTime = 0;
    int _numberOfProcessedSegments = 0;
};


#endif //GLUCOSE_PARALLEL_PPOCESSSTATISTIC_H
