
#include "Config.h"

#include <string.h>

// nastaveni defaultnich hodnot programu
Bounds Config::bounds;
int Config::numberOfThreads = 4;
int Config::iterations = 1000;
double Config::epsilon = 1;
double Config::minDataCoefficient = 0.5;

void Config::setProgram(int argc, char **argv) {
    //nastavi parametry programu
    for (int i = 3; i < argc; ++i) {
        // 2 znaky parametr, 3 a vic je hodnota
        if (strlen(argv[i]) >= 3) {

            string param = string(argv[i]).substr(0, 2);
            string value = string(argv[i]).substr(2);

            double number;
            int intNumber;
            stringstream(value) >> number;

            if ( number != 0) {
                if (string(param).compare("-i") == 0) {
                    intNumber = number;
                    if (intNumber > 0) {
                        Config::iterations = intNumber;
                    }
                } else if (string(param).compare("-t") == 0) {
                    intNumber = number;
                    if (intNumber > 0) {
                        Config::numberOfThreads = intNumber;
                    }
                } else if (string(param).compare("-e") == 0) {
                    if (0 < number) {
                        Config::epsilon = number;
                    }
                } else if (string(param).compare("-m") == 0) {
                    if (0 < number && number <= 1) {
                        Config::minDataCoefficient = number;
                    }
                }
            }
        }
    }
}

