
#include "Parameters.h"

double Parameters::getP() {
    return _p;
}

void Parameters::setP(double p) {
    _p = p;
    _parametersArray[P] = p;
}

double Parameters::getCg() {
    return _cg;
}

void Parameters::setCg(double cg) {
    _cg = cg;
    _parametersArray[CG] = cg;
}

double Parameters::getC() {
    return _c;
}

void Parameters::setC(double c) {
    _c = c;
    _parametersArray[C] = c;
}

double Parameters::getDt() {
    return _dt;
}

void Parameters::setDt(double dt) {
    _dt = dt;
    _parametersArray[DT] = dt;
}

double Parameters::getH() {
    return _h;
}

void Parameters::setH(double h) {
    _h = h;
    _parametersArray[H] = h;
}

double Parameters::getK() {
    return _k;
}

void Parameters::setK(double k) {
    _k = k;
    _parametersArray[K] = k;
}

double* Parameters::getParametersArray() {
    return _parametersArray;
}

void Parameters::setParameter(int parameterId, double value) {
    _parametersArray[parameterId] = value;
    if (parameterId == P) {
        setP(value);
    } else if (parameterId == CG) {
        setCg(value);
    } else if (parameterId == C) {
        setC(value);
    } else if (parameterId == DT) {
        setDt(value);
    } else if (parameterId == H) {
        setH(value);
    } else if (parameterId == K) {
        setK(value);
    }
}

