
#ifndef GLUCOSE_SERIAL_STORAGE_H
#define GLUCOSE_SERIAL_STORAGE_H

#include <string>

#include "./../model/Segment.h"

/*
 * Trida se statickymi metodami pro ulozeni dat
 */
class Storage {
public:
    /*
     * Ulozi vysledky do sqlite databaze
     *
     * @param path cesta k sqlite souboru
     * @param vector odkazu na segment obahujici vysledky
     */
    static void saveResultToDatabase(string path, vector<Segment*> segments);
};


#endif //GLUCOSE_SERIAL_STORAGE_H
