
#ifndef GLUCOSE_PARALLEL_THREADSTATISTIC_H
#define GLUCOSE_PARALLEL_THREADSTATISTIC_H

/*
 * Trida obsahuje statistiky o vlaknu
 */
class ThreadStatistic {
public:
    /*
     * Vrati id vlakna
     *
     * @return id vlakna
     */
    int getThreadId();
    /*
     * Nastavi id vlakna
     *
     * @param threadId id vlakna
     */
    void setThreadId(int threadId);

    /*
     * Vrati dobu behu vlakna
     */
    int getRunTime();
    /*
     * Nastavi cas doby behu vlakna
     */
    void setRunTime(int runTime);

    /*
     * Vrati pocet zpracovanych segmentu
     *
     * @return pocet zpracovancyh segmentu
     */
    int getNumberOfProcessedSegments();


    /*
     * Nastavi pocet zpracovanych segmentu
     *
     * @param numberOfProcessedSegments pocet zpracovancy segmentu
     */
    void setNumberOfProcessedSegments(int numberOfProcessedSegments);
private:
    int _threadId;
    int _runTime = 0;
    int _numberOfProcessedSegments = 0;
};


#endif //GLUCOSE_PARALLEL_THREADSTATISTIC_H
